package com.jpsoft.shinestar.modules.business.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
  描述:business_bill_push_goods的实体类
 */
public class BillPushGoods {
	private String id;
	private String billPushId;
	private String beginEndTime;
	private String goodsId;
	private String numStr;
	private String details;
	private Boolean delFlag;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	private Integer sortNo;
	
		/**
	 *获取ID
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置ID
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取账单ID
	 */
	public String getBillPushId(){
		return billPushId;
	}
	
	/**
	 *设置账单ID
	 */
	public void setBillPushId(String billPushId){
		this.billPushId = billPushId;
	}
		/**
	 *获取起止时间（文本格式）
	 */
	public String getBeginEndTime(){
		return beginEndTime;
	}
	
	/**
	 *设置起止时间（文本格式）
	 */
	public void setBeginEndTime(String beginEndTime){
		this.beginEndTime = beginEndTime;
	}
		/**
	 *获取商品ID
	 */
	public String getGoodsId(){
		return goodsId;
	}
	
	/**
	 *设置商品ID
	 */
	public void setGoodsId(String goodsId){
		this.goodsId = goodsId;
	}
		/**
	 *获取数量（文本格式）
	 */
	public String getNumStr(){
		return numStr;
	}
	
	/**
	 *设置数量（文本格式）
	 */
	public void setNumStr(String numStr){
		this.numStr = numStr;
	}
		/**
	 *获取详情（收费项目，收费金额）
	 */
	public String getDetails(){
		return details;
	}
	
	/**
	 *设置详情（收费项目，收费金额）
	 */
	public void setDetails(String details){
		this.details = details;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
		/**
	 *获取创建人
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm")
		/**
	 *获取创建时间
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取更新人
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置更新人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm")
		/**
	 *获取更新时间
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置更新时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}

	/**
	 *获取序号
	 */
	public Integer getSortNo(){
		return sortNo;
	}

	/**
	 *设置序号
	 */
	public void setSortNo(Integer sortNo){
		this.sortNo = sortNo;
	}
}